Widgetset Qt Problem

Antworten
Benutzeravatar
fliegermichl
Lazarusforum e. V.
Beiträge: 664
Registriert: Do 9. Jun 2011, 09:42
OS, Lazarus, FPC: Winux (L 2.0.11 FPC 3.2)
CPU-Target: 32/64Bit
Wohnort: Echzell

Widgetset Qt Problem

Beitrag von fliegermichl »

Moin,

ich versuche gerade unter Linux Mint Cinnamon 19.3, Lazarus mit dem Widgetset Qt 4/5 zu verwenden. Beim compilieren erscheint eine Fehlermeldung im Package LCL in der Datei qt45.pas.

Code: Alles auswählen

 
    ...
    QStyleCE_ItemViewItem,
    QStyleCE_ShapedFrame,
    QStyleCE_CustomBase = $f0000000 );
 
 
qt45.pas(10699,37) Error: Enumeration symbols can only have values in the range of -2^31 to 2^31-1
 


Da hat der Compiler ja soweit recht. Was kann ich tun, damit mir der Code compiliert wird?

Benutzeravatar
theo
Beiträge: 8465
Registriert: Mo 11. Sep 2006, 19:01

Re: Widgetset Qt Problem

Beitrag von theo »

Die neueste Version holen.
Revision 62453
Qt,Qt5: fixed range check error with fpc trunk. Patch by CudaText man. issue #36238


https://bugs.freepascal.org/view.php?id=36238

Benutzeravatar
fliegermichl
Lazarusforum e. V.
Beiträge: 664
Registriert: Do 9. Jun 2011, 09:42
OS, Lazarus, FPC: Winux (L 2.0.11 FPC 3.2)
CPU-Target: 32/64Bit
Wohnort: Echzell

Re: Widgetset Qt Problem

Beitrag von fliegermichl »

Danke!

Antworten